## mingw-w64-libnpupnp-6.2.1-1.src.tar.zst

=== meson_options.txt ===
option('client', type : 'boolean',
  value : true,
  description : 'control point code (client)',
)

option('optssdp', type : 'boolean',
  value : true,
  description : '"optional SSDP headers support',
)

option('soap', type : 'boolean',
  value : true,
  description : 'SOAP part',
)

option('gena', type : 'boolean',
  value : true,
  description : 'GENA part',
)

option('tools', type : 'boolean',
  value : true,
  description : 'helper APIs in upnptools.h',
)

option('ipv6', type : 'boolean',
  value : true,
  description : 'ipv6 support',
)

option('ssdp', type : 'boolean',
  value : true,
  description : 'SSDP part',
)

option('device', type : 'boolean',
  value : true,
  description : 'device specific code (implies --disable-webserver if disabled)',
)

option('webserver', type : 'boolean',
  value : true,
  description : 'integrated web server',
)

option('expat', type : 'feature',
  description : 'Use expat',
)

option('unspecified_server', type : 'boolean',
  value : false,
  description : 'unspecified SERVER header',
)

option('testmains', type : 'boolean',
  value : false,
  description : 'build small programs exercising misc. functions',
)

=== PKGBUILD ===
# Contributor: Rosen Penev <rosenp@gmail.com>

_realname=libnpupnp
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=6.2.1
pkgrel=1
pkgdesc="A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.lesbonscomptes.com/upmpdcli/'
msys2_repository_url="https://framagit.org/medoc92/npupnp"
msys2_references=(
  "cpe: cpe:2.3:a:npupnp_project:npupnp"
)
license=('spdx:BSD-3-Clause')
depends=(
  "${MINGW_PACKAGE_PREFIX}-curl"
  "${MINGW_PACKAGE_PREFIX}-expat"
  "${MINGW_PACKAGE_PREFIX}-gcc-libs"
  "${MINGW_PACKAGE_PREFIX}-libmicrohttpd"
  "${MINGW_PACKAGE_PREFIX}-libwinpthread"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-meson"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
)
source=("https://www.lesbonscomptes.com/upmpdcli/downloads/${_realname}-${pkgver}.tar.gz")
sha256sums=('1cc1222512d480826d2923cc7b98b7361183a2add8c6b646a7fa32c2f34b32b3')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("--buildtype=release")
  else
    _extra_config+=("--buildtype=debug")
  fi

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/meson setup \
      --prefix="${MINGW_PREFIX}" \
      --wrap-mode=nodownload \
      --auto-features=enabled \
      "${_extra_config[@]}" \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/meson compile
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/meson install

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
